## libctl 4.4.0

=== doc/requirements.txt ===
mkdocs==0.17.5
python-markdown-math

## libctl 3.1.0

=== debian/changelog ===
libctl (3.1.0-5ubuntu1) trusty; urgency=low

  * Use autoreconf helper for newer arches, resolving FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 22 Mar 2014 19:44:47 -0400

libctl (3.1.0-5) unstable; urgency=low

  * debian/rules: use cp instead of install

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Dec 2011 18:30:25 +0100

libctl (3.1.0-4) unstable; urgency=low

  * debian/control: moved to dh 8
  * debian/control: remove dependency on dpatch
  * debian/control: remove dependency on cdbs
  * debian/control: standards version 3.9.2, no changes
  * debian/source: switch to format 3.0 (quilt)
  * debian/README.source: moved to quilt
  * debian/copyright: changed to DEP5 format
  * debian/patches: moved from dpatch to quilt

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 12 Dec 2011 18:44:32 +0100

libctl (3.1.0-3) unstable; urgency=low

  * *.la files removed (Closes: #621516)
  * Standards-Version changed to 3.9.1 (no changes needed)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 09 Apr 2011 19:00:01 +0200

libctl (3.1.0-2) unstable; urgency=low

  * Standards-Version changed to 3.8.3 (no changes needed)
  * patch in configure for sh4 added (Closes: #555525)
  * debian/README.source added
  * debian/control: DM-Upload-Allowed added

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 09 Dec 2009 19:00:01 +0100

libctl (3.1.0-1) unstable; urgency=low

  * new upstream release
    - New ellipsoid_overlap_with_object function, analogous to 
      box_overlap_with_object function.
    - Bug fix in include function for recent versions of Guile, to properly 
      keep track of the current include directory.
    - Bug fix in numerical-derivative routine, which didn't converge when the 
      error was exactly zero. 
  * as there is no NLopt package availabe, NLopt is disabled
  * changed Standards-Version to 3.8.2
  * changed copyright notice from GPL to GPL-2 (pedantic lintian hint)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 Jul 2009 19:00:01 +0100

libctl (3.0.3-3) unstable; urgency=low

  * added ldconfig in postinst and postrm to meet requirements 
    of policy 8.1.1
  * switched from guile-1.6 to guile-1.8 (Closes: #518804)
    patch from Evan Broder
  * changed Standards-Version to 3.8.1

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Apr 2009 21:30:01 +0100

libctl (3.0.3-2) unstable; urgency=low

  * removed lintian warnings:
    - added watch file
    - symbols control file added
    - dependency for misc:Depends added in control file

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 30 Jan 2009 19:45:01 +0100

libctl (3.0.3-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #481039) 

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Jul 2008 18:30:01 +0200

libctl (3.0.2-1) unstable; urgency=low

  * New upstream release
  * New maintainer (Closes: #393104) 

 -- Loic Le Guyader <loic.leguyader@laposte.net>  Sun, 12 Nov 2006 10:29:01 +0100

libctl (3.0.1-2) unstable; urgency=low

  * Orphan package.

 -- Josselin Mouette <joss@debian.org>  Sun, 15 Oct 2006 03:15:32 +0200

libctl (3.0.1-1) unstable; urgency=low

  * New upstream release (closes: #361676).
  * Major rework of the debian/ directory. Switch to cdbs.
  * Migrate Scheme files to a versioned location to allow several
    versions to be installed at once.
  * Write a Makefile to put with the example.
  * Update copyright, the library is now GPL.
  * Use gfortran for the F77 wrappers.
  * Standards-version is 3.7.0.

 -- Josselin Mouette <joss@debian.org>  Mon,  1 May 2006 20:25:01 +0200

libctl (2.2-3) unstable; urgency=low

  * Build-depend on guile 1.6.
  * Standards version 3.5.8.
  * Use debhelper mode 4 and dh_install.
  * Corrected short descriptions.
  * configure.ac: suppress that crappy -lctl in $LIBS.
  * re-ran autoconf.
  * base/Makefile.in: link libctl with its dependencies.
  * examples/Makefile.in: add -lctl.
  * Changed library package name to libctl2scm16 to prevent breakage.

 -- Josselin Mouette <joss@debian.org>  Wed,  5 Feb 2003 12:47:33 +0100

libctl (2.2-2) unstable; urgency=low

  * Created a libctl-doc package, containing HTML documentation and the
    example.
  * debian/control: fixed minor typo.

 -- Josselin Mouette <joss@debian.org>  Fri, 13 Sep 2002 14:54:29 +0200

libctl (2.2-1) unstable; urgency=low

  * New upstream release
  * debian/rules: a bit of cleaning, also added a -V to dh_makeshlibs
  * debian/control: moved standards version to 3.5.7

 -- Josselin Mouette <joss@debian.org>  Fri, 13 Sep 2002 11:09:48 +0200

libctl (2.1-3) unstable; urgency=low

  * Makefile.in: removal of base/f77_func.h
  * debian/control: moved libctl2 to section libs.

 -- Josselin Mouette <joss@debian.org>  Wed, 19 Jun 2002 12:04:34 +0200

libctl (2.1-2) unstable; urgency=low

  * debian/control: changed maintainer email.
  * debian/control: corrected typo.
  * First upload to Debian (closes: #143264).

 -- Josselin Mouette <joss@debian.org>  Wed, 17 Apr 2002 10:36:45 +0200

libctl (2.1-1) unstable; urgency=low

  * New upstream release

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Thu, 21 Mar 2002 10:59:10 +0100

libctl (2.0-1) unstable; urgency=low

  * New upstream release

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Tue, 12 Mar 2002 13:41:48 +0100

libctl (1.5-1) unstable; urgency=low

  * New upstream release

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Mon, 19 Nov 2001 12:39:18 +0100

libctl (1.4.1-1) unstable; urgency=low

  * Initial Release.

 -- Josselin Mouette <josselin.mouette@ens-lyon.org>  Tue, 23 Oct 2001 15:01:46 +0200

=== debian/control ===
Source: libctl
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper (>= 8), guile-1.8-dev, gfortran, dh-autoreconf
Standards-Version: 3.9.2
Homepage: http://ab-initio.mit.edu/wiki/index.php/Libctl
DM-Upload-Allowed: yes

Package: libctl-dev
Section: libdevel
Architecture: any
Depends: libctl3 (= ${binary:Version}), libc6-dev, guile-1.8-dev, ${misc:Depends}
Recommends: libctl-doc
Description: library for flexible control files, development version
 libctl is a free Guile-based library implementing flexible control files for
 scientific simulations. It was written to support the MIT Photonic-Bands
 program, but will hopefully prove useful in other programs too.
 .
 This package contains the header files and static libraries.

Package: libctl3
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: library for flexible control files
 libctl is a free Guile-based library implementing flexible control files for
 scientific simulations. It was written to support the MIT Photonic-Bands
 program, but will hopefully prove useful in other programs too.
 .
 This package contains the runtime libraries required to run any software using
 libctl.

Package: libctl-doc
Section: doc
Architecture: all
Recommends: libctl-dev
Depends: ${misc:Depends}
Description: library for flexible control files, documentation
 libctl is a free Guile-based library implementing flexible control files for
 scientific simulations. It was written to support the MIT Photonic-Bands
 program, but will hopefully prove useful in other programs too.
 .
 This package contains the documentation in HTML format and a simple example of
 how to use it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

install_file    = /usr/bin/install -p -o root -g root -m 644

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/libctl-doc/usr/share/doc/libctl-doc
	cp AUTHORS debian/libctl-doc/usr/share/doc/libctl-doc/AUTHORS
	cp NEWS debian/libctl-doc/usr/share/doc/libctl-doc/NEWS
	cp TODO debian/libctl-doc/usr/share/doc/libctl-doc/TODO
	cp README debian/libctl-doc/usr/share/doc/libctl-doc/README

	mkdir -p debian/libctl-dev/usr/share/doc/libctl-dev
	cp AUTHORS debian/libctl-dev/usr/share/doc/libctl-dev/AUTHORS
	cp NEWS debian/libctl-dev/usr/share/doc/libctl-dev/NEWS
	cp TODO debian/libctl-dev/usr/share/doc/libctl-dev/TODO
	cp README debian/libctl-dev/usr/share/doc/libctl-dev/README

	mkdir -p debian/libctl3/usr/share/doc/libctl3
	cp AUTHORS debian/libctl3/usr/share/doc/libctl3/AUTHORS
	cp NEWS debian/libctl3/usr/share/doc/libctl3/NEWS
	cp TODO debian/libctl3/usr/share/doc/libctl3/TODO
	cp README debian/libctl3/usr/share/doc/libctl3/README

## libctl 3.2.2

=== debian/changelog ===
libctl (3.2.2-2) unstable; urgency=medium

  * debian/control: libctl-dev needs to debpend on guile 2.0 as well

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 02 May 2014 18:00:26 +0200

libctl (3.2.2-1) unstable; urgency=medium

  * upload to unstable (Closes: #722791)
  * new upstream release (Closes: #743467)
  * debian/control: bump standard to 3.9.5 (no change)
  * debian/control: really use guile 2.0 now (Closes: #738318, #746004)
  * debian/rules: use --with autoreconf (Closes: #744604)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 02 May 2014 11:00:26 +0200

libctl (3.2.1-3) UNRELEASED; urgency=medium

  * upload to unstable
  * debian/control: bump standard to 3.9.5 (no change)
  * use autotools-dev (debian/control, debian/rules)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 29 Dec 2013 16:00:26 +0100

libctl (3.2.1-2) experimental; urgency=low

  * debian/control: remove DM-Upload-Allowed
  * debian/control: use guile 1.8 now
                    libctl is needed by mpb, the rc1 of 1.5 does not
                    really work with guile 2.0

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Nov 2012 18:00:26 +0100

libctl (3.2.1-1) experimental; urgency=low

  * new upstream release
  * debian/control: add conflict to libctl3 (Closes: #684030)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 10 Aug 2012 18:00:26 +0200

libctl (3.2-1) experimental; urgency=low

  * Imported Upstream version 3.2, new upstream release (Closes: #682254)
  * debian/rules: get-orig-source added
  * debian/control: using dh 9
  * debian/control: bump standard to 3.9.3 (no change)
  * debian/copyright: correct version
  * debian/control: use guile 2.0 now
  * debian/*.install: use multiarch path

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 24 Jul 2012 18:00:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: libctl
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 8), guile-1.8-dev, gfortran, dh-autoreconf
-Standards-Version: 3.9.2
+Maintainer: Thorsten Alteholz <debian@alteholz.de>
+Build-Depends: debhelper (>= 9), guile-2.0-dev, gfortran, autotools-dev, dh-autoreconf
+Standards-Version: 3.9.5
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Libctl
-DM-Upload-Allowed: yes
 
 Package: libctl-dev
 Section: libdevel
 Architecture: any
-Depends: libctl3 (= ${binary:Version}), libc6-dev, guile-1.8-dev, ${misc:Depends}
+Depends: libctl5 (= ${binary:Version}), libc6-dev, guile-2.0-dev, ${misc:Depends}
 Recommends: libctl-doc
 Description: library for flexible control files, development version
  libctl is a free Guile-based library implementing flexible control files for
@@ -20,10 +18,12 @@
  .
  This package contains the header files and static libraries.
 
-Package: libctl3
+Package: libctl5
 Section: libs
 Architecture: any
+Pre-Depends: multiarch-support 
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libctl3
 Description: library for flexible control files
  libctl is a free Guile-based library implementing flexible control files for
  scientific simulations. It was written to support the MIT Photonic-Bands

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

install_file    = /usr/bin/install -p -o root -g root -m 644

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	LIBS="-lm" dh_auto_configure -- --enable-shared 

override_dh_installdocs:
	dh_installdocs
	mkdir -p debian/libctl-doc/usr/share/doc/libctl-doc
	cp AUTHORS debian/libctl-doc/usr/share/doc/libctl-doc/AUTHORS
	cp NEWS debian/libctl-doc/usr/share/doc/libctl-doc/NEWS
#XXX	cp TODO debian/libctl-doc/usr/share/doc/libctl-doc/TODO
#XXX	cp README debian/libctl-doc/usr/share/doc/libctl-doc/README

	mkdir -p debian/libctl-dev/usr/share/doc/libctl-dev
	cp AUTHORS debian/libctl-dev/usr/share/doc/libctl-dev/AUTHORS
	cp NEWS debian/libctl-dev/usr/share/doc/libctl-dev/NEWS
#XXX	cp TODO debian/libctl-dev/usr/share/doc/libctl-dev/TODO
#XXX	cp README debian/libctl-dev/usr/share/doc/libctl-dev/README

	mkdir -p debian/libctl5/usr/share/doc/libctl5
	cp AUTHORS debian/libctl5/usr/share/doc/libctl5/AUTHORS
	cp NEWS debian/libctl5/usr/share/doc/libctl5/NEWS
#XXX	cp TODO debian/libctl5/usr/share/doc/libctl5/TODO
#XXX	cp README debian/libctl5/usr/share/doc/libctl5/README

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --destdir=../tarballs

=== debian/watch ===
version=3
http://ab-initio.mit.edu/wiki/index.php/Libctl http://ab-initio.mit.edu/libctl/libctl-(.*)\.tar\.gz

## libctl 4.1.4

=== debian/changelog ===
libctl (4.1.4-3) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Dec 2018 21:45:31 +0100

libctl (4.1.4-2) experimental; urgency=medium

  * debian/control: libctl-dev needs to depend on guile 2.2

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Nov 2018 22:57:31 +0100

libctl (4.1.4-1) experimental; urgency=medium

  * New upstream release
  * debian/control: depend on guile 2.2 (Closes: #885202)
  * debian/libctl7.symbols: update symbols file
  * debian/missing-sources: no longer needed
  * lintian-overrides related to docs no longer needed
  * debian/copyright: Expat and BSD license no longer needed
  * debian/control: bump standard to 4.2.1 (no change)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Nov 2018 22:57:31 +0100

libctl (4.1.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control: always depend on guile 2.0 (Closes: #902977)
  * introduce libctlgeom (Closes: #906028, #906029)
    (thanks to Ruben Undheim for the patch)
  * debian/libctl7.symbols: some symbols disappeared and no soname bump
                            by upstream :-(

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 13 Aug 2018 21:40:47 +0200

libctl (4.1.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.1.4 (no change)
  * debian/control: bump soname of libctl from 6 to 7
  * debian/rules: remove get-orig-source target

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 18 Jun 2018 18:44:11 +0200

libctl (4.0.0-2) experimental; urgency=medium

  * debian/control: add missing Conflicts: (Closes: #891011)
                    (needed for all older version, here libctl5)
  * debian/control: add VCS URLs
  * debian/rules: split override_dh_installdocs (Closes: #890854)
                  into override_dh_installdocs-arch
                  and override_dh_installdocs-indep

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Mar 2018 18:59:19 +0100

libctl (4.0.0-1) experimental; urgency=medium

  * New upstream release
  * upload to experimental
  * debian/control: bump standard to 4.1.3 (no change)
  * debian/control: use dh11
  * debian/control: remove dependencies: autotools-dev, dh-autoreconf
  * debian/control: increase soname

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 06 Feb 2018 18:59:19 +0100

libctl (3.2.2-4) unstable; urgency=medium

  * debian/rules: revert -fPIC patch (Closes: #842108)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 03 Nov 2016 20:00:26 +0100

libctl (3.2.2-3) unstable; urgency=medium

  * debian/copyright: reorder to calm lintian
  * debian/control: add ${misc:Pre-Depends} instead of multiarch-suppport
  * debian/control: bump standard to 3.9.8 (no change)
  * debian/rules: build everything with -fPIC (Closes: #837568)
  * remove false positive overrides libctl-doc.lintian-overrides

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 22 Oct 2016 12:00:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,18 @@
 Section: devel
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 9), guile-2.0-dev, gfortran, autotools-dev, dh-autoreconf
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 11)
+	, guile-2.2-dev
+	, gfortran
+Standards-Version: 4.2.1
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Libctl
+Vcs-Browser: https://salsa.debian.org/alteholz/libctl
+Vcs-Git: https://salsa.debian.org/alteholz/libctl.git
 
 Package: libctl-dev
 Section: libdevel
 Architecture: any
-Depends: libctl5 (= ${binary:Version}), libc6-dev, guile-2.0-dev, ${misc:Depends}
+Depends: libctl7 (= ${binary:Version}), libc6-dev, guile-2.2-dev, ${misc:Depends}
 Recommends: libctl-doc
 Description: library for flexible control files, development version
  libctl is a free Guile-based library implementing flexible control files for
@@ -18,12 +22,12 @@
  .
  This package contains the header files and static libraries.
 
-Package: libctl5
+Package: libctl7
 Section: libs
 Architecture: any
-Pre-Depends: multiarch-support 
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libctl3
+Conflicts: libctl3, libctl5, libctl6
 Description: library for flexible control files
  libctl is a free Guile-based library implementing flexible control files for
  scientific simulations. It was written to support the MIT Photonic-Bands

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

install_file    = /usr/bin/install -p -o root -g root -m 644

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	LIBS="-lm" dh_auto_configure -- --enable-shared

override_dh_installdocs-arch:
	dh_installdocs
	mkdir -p debian/libctl-dev/usr/share/doc/libctl-dev
	cp AUTHORS debian/libctl-dev/usr/share/doc/libctl-dev/AUTHORS
	cp NEWS.md debian/libctl-dev/usr/share/doc/libctl-dev/NEWS
	cp README.md debian/libctl-dev/usr/share/doc/libctl-dev/README

	mkdir -p debian/libctl6/usr/share/doc/libctl6
	cp AUTHORS debian/libctl6/usr/share/doc/libctl6/AUTHORS
	cp NEWS.md debian/libctl6/usr/share/doc/libctl6/NEWS
	cp README.md debian/libctl6/usr/share/doc/libctl6/README

override_dh_installdocs-indep:
	dh_installdocs
	mkdir -p debian/libctl-doc/usr/share/doc/libctl-doc
	cp AUTHORS debian/libctl-doc/usr/share/doc/libctl-doc/AUTHORS
	cp NEWS.md debian/libctl-doc/usr/share/doc/libctl-doc/NEWS
	cp README.md debian/libctl-doc/usr/share/doc/libctl-doc/README
	rm -rf debian/libctl-doc/usr/share/doc/libctl-doc/html/libctl-mkdocs-theme/license

## libctl 4.4.0

=== debian/changelog ===
libctl (4.4.0-3) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 02 Dec 2019 20:25:46 +0100

libctl (4.4.0-2) experimental; urgency=medium

  * deactivate tests for s390x as well

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 01 Dec 2019 15:25:46 +0100

libctl (4.4.0-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 20 Nov 2019 19:25:46 +0100

libctl (4.3.0-2) experimental; urgency=medium

  * deactivate tests for i386 and powerpc for now
    tests are generally working but kind of flapping
    (issue #41 on upstream github)
  * debian/control: bump standard to 4.4.1 (no changes)
  * debian/control: set "Multi-Arch: same" for lib and -dev
  * debian/control: set "Multi-Arch: foreign" for -doc

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 07 Oct 2019 20:06:46 +0200

libctl (4.3.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.3.0 (no change)
  * Add Build-Depends-Package field in symbols files

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 08 May 2019 18:06:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 11)
 	, guile-2.2-dev
 	, gfortran
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Libctl
 Vcs-Browser: https://salsa.debian.org/alteholz/libctl
 Vcs-Git: https://salsa.debian.org/alteholz/libctl.git
@@ -13,6 +13,7 @@
 Package: libctl-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libctl7 (= ${binary:Version}), libc6-dev, guile-2.2-dev, ${misc:Depends}
 Recommends: libctl-doc
 Description: library for flexible control files, development version
@@ -25,6 +26,7 @@
 Package: libctl7
 Section: libs
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libctl3, libctl5, libctl6
@@ -39,6 +41,7 @@
 Package: libctl-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Recommends: libctl-dev
 Depends: ${misc:Depends}
 Description: library for flexible control files, documentation

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 # export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 install_file    = /usr/bin/install -p -o root -g root -m 644
 
@@ -33,3 +34,16 @@
 	cp NEWS.md debian/libctl-doc/usr/share/doc/libctl-doc/NEWS
 	cp README.md debian/libctl-doc/usr/share/doc/libctl-doc/README
 	rm -rf debian/libctl-doc/usr/share/doc/libctl-doc/html/libctl-mkdocs-theme/license
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	echo ${arch}
+	if [ "${arch}" = "i386" ] || \
+	   [ "${arch}" = "s390x" ] || \
+	   [ "${arch}" = "powerpc" ] ; then \
+	  echo "Do not make tests on this architecture" ;\
+	else \
+	  echo "Do make tests on this architecture" ;\
+	  make -j4 check VERBOSE=1 ;\
+	fi
+endif

## libctl 4.5.0

=== debian/changelog ===
libctl (4.5.0-9) unstable; urgency=medium

  * upload to unstable again

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 03 Jan 2021 19:05:02 +0100

libctl (4.5.0-8) experimental; urgency=medium

  * upload to experimental
  * debian/control: depend on guile-3.0 (Closes: #969692)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 08 Dec 2020 19:25:02 +0100

libctl (4.5.0-7) unstable; urgency=medium

  * debian/control: moving examples requires Break+Replace in -dev
                    (Closes: #975541)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 23 Nov 2020 18:25:02 +0100

libctl (4.5.0-6) unstable; urgency=medium

  * make package build again (Closes: #974532)
  * move examples to -dev package (Closes: #970233)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 22 Nov 2020 00:25:02 +0100

libctl (4.5.0-5) unstable; urgency=medium

  * debian/rules: make package build reproducible (Closes: #956588)
                  (Thanks to Chris Lamb for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 12 Sep 2020 18:25:02 +0200

libctl (4.5.0-4) unstable; urgency=medium

  * bad test, so disable all tests

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Apr 2020 23:25:02 +0200

libctl (4.5.0-3) unstable; urgency=medium

  * bad test, so disable tests on more architectures

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 12 Apr 2020 19:25:02 +0200

libctl (4.5.0-2) unstable; urgency=medium

  * source upload

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 11 Apr 2020 19:25:02 +0200

libctl (4.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.5.0 (no change)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 11 Mar 2020 22:25:02 +0000

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: devel
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper (>= 11)
-	, guile-2.2-dev
+Build-Depends: debhelper-compat (= 12)
+	, guile-3.0-dev
 	, gfortran
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Libctl
 Vcs-Browser: https://salsa.debian.org/alteholz/libctl
 Vcs-Git: https://salsa.debian.org/alteholz/libctl.git
@@ -16,6 +16,8 @@
 Multi-Arch: same
 Depends: libctl7 (= ${binary:Version}), libc6-dev, guile-2.2-dev, ${misc:Depends}
 Recommends: libctl-doc
+Replaces: libctl-doc (<< 4.5.0-6)
+Breaks: libctl-doc (<< 4.5.0-6)
 Description: library for flexible control files, development version
  libctl is a free Guile-based library implementing flexible control files for
  scientific simulations. It was written to support the MIT Photonic-Bands

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libctl-$1\.tar\.gz/ \
  https://github.com/stevengj/libctl/tags .*/v?(\d\S+)\.tar\.gz debian uupdate

## libctl 4.5.1

=== debian/changelog ===
libctl (4.5.1-3) unstable; urgency=medium

  * debian/control: bump standard to 4.7.0 (no change)
  * debian/control: Rules-Requires-Root: no

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 09 Sep 2024 18:00:46 +0200

libctl (4.5.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062266

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 10:41:03 +0000

libctl (4.5.1-2) unstable; urgency=medium

  * debian/control: really remove dependency on guile-2.2

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 15 Jun 2022 23:00:46 +0200

libctl (4.5.1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: update
  * debian/control: bump standard to 4.6.0 (no change)
  * debian/control: use dh13

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 23 Feb 2022 18:00:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,20 @@
 Section: devel
 Priority: optional
 Maintainer: Thorsten Alteholz <debian@alteholz.de>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
 	, guile-3.0-dev
 	, gfortran
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Homepage: http://ab-initio.mit.edu/wiki/index.php/Libctl
 Vcs-Browser: https://salsa.debian.org/alteholz/libctl
 Vcs-Git: https://salsa.debian.org/alteholz/libctl.git
+Rules-Requires-Root: no
 
 Package: libctl-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libctl7 (= ${binary:Version}), libc6-dev, guile-2.2-dev, ${misc:Depends}
+Depends: libctl7t64 (= ${binary:Version}), libc6-dev, guile-3.0-dev, ${misc:Depends}
 Recommends: libctl-doc
 Replaces: libctl-doc (<< 4.5.0-6)
 Breaks: libctl-doc (<< 4.5.0-6)
@@ -25,7 +26,10 @@
  .
  This package contains the header files and static libraries.
 
-Package: libctl7
+Package: libctl7t64
+Provides: ${t64:Provides}
+Replaces: libctl7
+Breaks: libctl7 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -15,6 +15,10 @@
 override_dh_auto_configure:
 	LIBS="-lm" dh_auto_configure -- --enable-shared
 
+override_dh_installexamples:
+	dh_installexamples
+	-sed -i -e 's@$(CURDIR)/.@/usr/share/libctl@g' debian/libctl-dev/usr/share/doc/libctl-dev/examples/example.scm
+
 override_dh_installdocs-arch:
 	dh_installdocs
 	mkdir -p debian/libctl-dev/usr/share/doc/libctl-dev
@@ -22,10 +26,10 @@
 	cp NEWS.md debian/libctl-dev/usr/share/doc/libctl-dev/NEWS
 	cp README.md debian/libctl-dev/usr/share/doc/libctl-dev/README
 
-	mkdir -p debian/libctl6/usr/share/doc/libctl6
-	cp AUTHORS debian/libctl6/usr/share/doc/libctl6/AUTHORS
-	cp NEWS.md debian/libctl6/usr/share/doc/libctl6/NEWS
-	cp README.md debian/libctl6/usr/share/doc/libctl6/README
+	mkdir -p debian/libctl7/usr/share/doc/libctl7
+	cp AUTHORS debian/libctl7/usr/share/doc/libctl7/AUTHORS
+	cp NEWS.md debian/libctl7/usr/share/doc/libctl7/NEWS
+	cp README.md debian/libctl7/usr/share/doc/libctl7/README
 
 override_dh_installdocs-indep:
 	dh_installdocs
@@ -37,13 +41,17 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	# unless upstream issue is resolved, all architectures
+	# need to be excluded here
+	# -> https://github.com/NanoComp/libctl/issues/41
 	echo ${arch}
-	if [ "${arch}" = "i386" ] || \
-	   [ "${arch}" = "s390x" ] || \
-	   [ "${arch}" = "powerpc" ] ; then \
-	  echo "Do not make tests on this architecture" ;\
-	else \
-	  echo "Do make tests on this architecture" ;\
-	  make -j4 check VERBOSE=1 ;\
-	fi
+#	if [ "${arch}" = "i386" ] || \
+#	   [ "${arch}" = "ppc64el" ] || \
+#	   [ "${arch}" = "s390x" ] || \
+#	   [ "${arch}" = "powerpc" ] ; then \
+#	  echo "Do not make tests on this architecture" ;\
+#	else \
+#	  echo "Do make tests on this architecture" ;\
+#	  make -j4 check VERBOSE=1 ;\
+#	fi
 endif
